/* ghtsclient - a GTK+ based client for the trading game Holsham Traders
   Copyright (C) 1999,2000 Piotr Esden-Tempski

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* portable.h  --  portability header */


#ifndef PORTABLE_H
#define PORTABLE_H    /* To stop multiple inclusions. */


/* This is *not* good, because vsprintf() doesn't do any bounds-checking */
#ifndef HAVE_VSNPRINTF
#define vsnprintf(c, len, fmt, args) (vsprintf(c, fmt, args))
#endif

/* TODO socklen_t should be u_int_32_t or uint32_t  */
#ifndef socklen_t
#define socklen_t unsigned int    /* just a guess. this is system-dependant! */
#endif


#endif /* PORTABLE_H */

